Package org.drinkless.tdlib

# Class TdApi.UpdatePollAnswer

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdatePollAnswer

Enclosing class:
  `TdApi`

public static class TdApi.UpdatePollAnswer extends TdApi.Update
A user changed the answer to a poll; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `optionIds`
  Unique identifiers of answer options, that were chosen by the user.
  `int[]`
  `optionPositions`
  0-based identifiers of answer options, that were chosen by the user.
  `long`
  `pollId`
  Unique poll identifier.
  `TdApi.MessageSender`
  `voterId`
  Identifier of the message sender that changed the answer to the poll.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdatePollAnswer()`
  A user changed the answer to a poll; for bots only.
  `UpdatePollAnswer(long pollId, TdApi.MessageSender voterId, String[] optionIds, int[] optionPositions)`
  A user changed the answer to a poll; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pollId

    public long pollId
    Unique poll identifier.

  - ### voterId

    public TdApi.MessageSender voterId
    Identifier of the message sender that changed the answer to the poll.

  - ### optionIds

    public String[] optionIds
    Unique identifiers of answer options, that were chosen by the user.

  - ### optionPositions

    public int[] optionPositions
    0-based identifiers of answer options, that were chosen by the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdatePollAnswer

    public UpdatePollAnswer()
    A user changed the answer to a poll; for bots only.

  - ### UpdatePollAnswer

    public UpdatePollAnswer(long pollId, TdApi.MessageSender voterId, String[] optionIds, int[] optionPositions)
    A user changed the answer to a poll; for bots only.
    Parameters:
      `pollId` - Unique poll identifier.
      `voterId` - Identifier of the message sender that changed the answer to the poll.
      `optionIds` - Unique identifiers of answer options, that were chosen by the user.
      `optionPositions` - 0-based identifiers of answer options, that were chosen by the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR